## zouba 0.2

=== Makefile ===
#############################################################################
# Makefile for building: build/zouba
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Apr 9 19:41:31 2010
# Project:  zouba.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile zouba.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQ_WS_MAEMO_5 -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Iinclude -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -Llib -lQtBearer -lQtLocation -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/route.cpp \
		src/route_p.cpp \
		src/uicontroller.cpp \
		src/location.cpp \
		src/location_p.cpp \
		src/locations.cpp \
		src/gpscontroller.cpp \
		src/ui.cpp \
		src/messagetable.cpp \
		src/messagehandler.cpp build/moc_route.cpp \
		build/moc_route_p.cpp \
		build/moc_uicontroller.cpp \
		build/moc_location.cpp \
		build/moc_location_p.cpp \
		build/moc_locations.cpp \
		build/moc_gpscontroller.cpp \
		build/moc_ui.cpp \
		build/moc_messagetable.cpp
OBJECTS       = build/main.o \
		build/route.o \
		build/route_p.o \
		build/uicontroller.o \
		build/location.o \
		build/location_p.o \
		build/locations.o \
		build/gpscontroller.o \
		build/ui.o \
		build/messagetable.o \
		build/messagehandler.o \
		build/moc_route.o \
		build/moc_route_p.o \
		build/moc_uicontroller.o \
		build/moc_location.o \
		build/moc_location_p.o \
		build/moc_locations.o \
		build/moc_gpscontroller.o \
		build/moc_ui.o \
		build/moc_messagetable.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		zouba.pro
QMAKE_TARGET  = zouba
DESTDIR       = build/
TARGET        = build/zouba

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zouba.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix -o Makefile zouba.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile zouba.pro

dist: 
	@$(CHK_DIR_EXISTS) build/zouba1.0.0 || $(MKDIR) build/zouba1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/zouba1.0.0/ && $(COPY_FILE) --parents src/route.h src/route_p.h src/uicontroller.h src/location.h src/location_p.h src/locations.h src/ytv.h src/gpscontroller.h src/ui.h src/messagetable.h src/messagehandler.h build/zouba1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/route.cpp src/route_p.cpp src/uicontroller.cpp src/location.cpp src/location_p.cpp src/locations.cpp src/gpscontroller.cpp src/ui.cpp src/messagetable.cpp src/messagehandler.cpp build/zouba1.0.0/ && (cd `dirname build/zouba1.0.0` && $(TAR) zouba1.0.0.tar zouba1.0.0 && $(COMPRESS) zouba1.0.0.tar) && $(MOVE) `dirname build/zouba1.0.0`/zouba1.0.0.tar.gz . && $(DEL_FILE) -r build/zouba1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_route.cpp build/moc_route_p.cpp build/moc_uicontroller.cpp build/moc_location.cpp build/moc_location_p.cpp build/moc_locations.cpp build/moc_gpscontroller.cpp build/moc_ui.cpp build/moc_messagetable.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_route.cpp build/moc_route_p.cpp build/moc_uicontroller.cpp build/moc_location.cpp build/moc_location_p.cpp build/moc_locations.cpp build/moc_gpscontroller.cpp build/moc_ui.cpp build/moc_messagetable.cpp
build/moc_route.cpp: src/routedata.h \
		src/location.h \
		src/location_p.h \
		src/route.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/route.h -o build/moc_route.cpp

build/moc_route_p.cpp: src/routedata.h \
		src/location.h \
		src/location_p.h \
		src/route_p.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/route_p.h -o build/moc_route_p.cpp

build/moc_uicontroller.cpp: src/routedata.h \
		src/location.h \
		src/location_p.h \
		src/uicontroller.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/uicontroller.h -o build/moc_uicontroller.cpp

build/moc_location.cpp: src/location_p.h \
		src/location.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/location.h -o build/moc_location.cpp

build/moc_location_p.cpp: src/location_p.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/location_p.h -o build/moc_location_p.cpp

build/moc_locations.cpp: src/location.h \
		src/location_p.h \
		src/locations.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/locations.h -o build/moc_locations.cpp

build/moc_gpscontroller.cpp: src/location.h \
		src/location_p.h \
		src/gpscontroller.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/gpscontroller.h -o build/moc_gpscontroller.cpp

build/moc_ui.cpp: src/ui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ui.h -o build/moc_ui.cpp

build/moc_messagetable.cpp: src/messagetable.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/messagetable.h -o build/moc_messagetable.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

build/main.o: src/main.cpp src/routedata.h \
		src/route.h \
		src/location.h \
		src/location_p.h \
		src/ui.h \
		src/uicontroller.h \
		src/gpscontroller.h \
		src/ytv.h \
		src/messagetable.h \
		src/messagehandler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o src/main.cpp

build/route.o: src/route.cpp src/route_p.h \
		src/routedata.h \
		src/location.h \
		src/location_p.h \
		src/route.h \
		src/ytv.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/route.o src/route.cpp

build/route_p.o: src/route_p.cpp src/route_p.h \
		src/routedata.h \
		src/location.h \
		src/location_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/route_p.o src/route_p.cpp

build/uicontroller.o: src/uicontroller.cpp src/uicontroller.h \
		src/routedata.h \
		src/location.h \
		src/location_p.h \
		src/route.h \
		src/ui.h \
		src/ytv.h \
		src/messagetable.h \
		src/locations.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/uicontroller.o src/uicontroller.cpp

=== debian/changelog ===
zouba (0.2) unstable; urgency=low

  * Better xml error string.
  * Better message table width resizing, though visually the same.
  * Added missing message when work button becomes valid.
  * First upload to extras-devel.

 -- Max Waterman <davidmaxwaterman@fastmail.co.uk>  Wed, 24 Mar 2010 21:29:00 +0200

zouba (0.1) unstable; urgency=low

  * Initial Release.

 -- Max Waterman <davidmaxwaterman@fastmail.co.uk>  Tue, 23 Mar 2010 20:11:34 +0200

=== debian/control ===
Source: zouba
Section: user/navigation
Priority: extra
Maintainer: Max Waterman <davidmaxwaterman@fastmail.co.uk>
Build-Depends: libqt4-dev, libqtm-bearer, libqtm-location, debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: 

Package: zouba
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tells you which bus is next.
 Allows you to easily find how to get the bus home. Uses HSL Journey Planner API <http://developer.reittiopas.fi/pages/en/home.php>. Uses GPS for current location. Uses Qt and QtMobility.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 zouba/src/data/48x48/zouba.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBGQ0SFuv48p0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACp0lEQVRo3u2Yz0tVURDHv08dK4r2GUmWELSI
 sMCCSHdluS0QIWtXVIt20Z/QPm1R0D5a92OnRAqKllRkP6BFEQhZSIr1wffazIXD9d5nT6+ZdL4w
 3HNn7vnOmTk/3rwjRUREREQUCeA8UHHpK4Av4eoJdD2Jfi0CGA6cPiswgA+AAY3eLiSAupSzA5KO
 SHoh6bWko64LB5LIG6BtOVuATZIuujRWCbQCLACjwLEc/hngcla2+oFpoBnYD8wBt1IkJ4Aub4/X
 YOtz7mngXN4MAPXAIbe/T3GcAfZ5e1aSSkHHbZI+S9qe4pyV1CTpR5DJkqQFSZhZYzCQarZ6SWOS
 KpIOSypLkpmV3P8VSdckNUtq8D4VM6sLOBrMbDF5N7NSQzDQHh/8kJl1OOmgpONuS9ARLL1XqWBz
 bWZWltQWJCyd/JuStkg66M/hMMHOsVhts4351PQGul7XjWWsw6kqe2CJLW/NB+/Xga9prpxvaz8A
 qnVasyOx1lMoIiJi5Rt5vRA38YZdQsBO4D7wLaXfAzz0OmoOeAS01FSU/aUAnvr7VaAx+GYko7Ab
 Wa4oWylKtQaQFFHAL0kmaauZzQff4MVYtcJuSVG2Hpt41J8XAAv040Fh1+ntiT8uyv7iEtoFPAC+
 p/StwGNg3uUJsLewoiwiIiJiQ5UONzKOvi5g3O9uFoAJoPuf8+MEnzKIZ1zXFtzfzKxi8KvyU5dD
 2irpnqSzGeZ3/iwndzuSpjI4brvT00C3tweK9pOXlZfApZxfzxbgbeoKZXcGhwFDwBeXwVTJUYif
 5S5ks+5oJjOmdjKHpz3o374WfjKXkJmVEgl13mwKpjbJ2I6MwW2WNCDpo0u/6wr1U/P/YOAU8Bz4
 6TIBnMzodxcoA50uZeBO0X4iIiIiIv5v/AZU3LjyjeB2pwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/zouba.sgml > zouba.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/zouba.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/zouba install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## zouba 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/zouba
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Apr 9 19:41:31 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 12 12:05:04 2010
 # Project:  zouba.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile zouba.pro

=== debian/changelog ===
zouba (0.3) unstable; urgency=low

  * Fix for app manager icon
  * Changes: cleanup and corrections for autobuilder
  * Added new settings button to set a fake current location ('work' in the first instance).
  * Added 'optimize' parameter set to 'leastwalking' to route server to give same results as web server early in the morning.

 -- Max Waterman <davidmaxwaterman@fastmail.co.uk>  Mon, 12 Apr 2010 12:13:13 +0200
